$text-color: #212121;
$inverted-text-color: #fafafa;
$alert-background-color: #d3f3fd;
$top-bar-background-color: #0a2885;
$header-background-color-dark: #1042dd;
$header-background-color-light: #31b9ff;
$secondary-button-color: #e0e4ea;
$secondary-button-shadow-color: #b0b3b8;
$secondary-button-hover-color: #cccfd5;
$breakpoint-sm: 496px;

// Primary color
$colorBrand: #1042dd;
$colorBrandLight: #cfd9f8;
$colorBrandTransparent: rgba($colorBrand, 0.7);
$colorBrandDark: #0a2885;
$colorBrandLink: #24335a;

// Seconday color
$colorBrandSecondary: #31b9ff;

// Tertiary color
$colorBrandTertiary: #ff7f00;

// Gradients
$brandGradient: linear-gradient(45deg, $colorBrand 0%, $colorBrandSecondary 100%);

// Generic Colours
$colorBackground: darken(#f7f9fc, 2%);

// Sub Colors
$colorInfo: #4e3cde;
$colorInfoLight: #d6f1ff;
$colorWarning: #fdc300;
$colorWarningLight: #fff3cc;
$colorError: #d62828;
$colorErrorLight: #ffcccc;
$colorSuccess: #00d02e;
$colorSuccessLight: #ccf6d5;

// Pallette gray
$colorPaletteGray50: #fafafa;
$colorPaletteGray100: #f5f5f5;
$colorPaletteGray300: #e0e0e0;
$colorPaletteGray200: #eeeeee;
$colorPaletteGray400: #bdbdbd;
$colorPaletteGray500: #9e9e9e;
$colorPaletteGray600: #757575;
$colorPaletteGray700: #616161;
$colorPaletteGray800: #424242;
$colorPaletteGray900: #212121;
$colorPaletteGray1000: #131313;

// Text Colors
$colorText: #212121 !default;
$colorTextCard: $colorPaletteGray800 !default;
$colorTextLinkHover: $colorBrand;
$colorTextLink: darken($colorBrand, 10%);
$colorTextInverse: $colorPaletteGray50;

// Generic Colours
$colorBackground: darken(#f7f9fc, 2%);

// Shadows
$boxShadow: 0 0 2px 0 rgba(0, 0, 0, 0.12),
    0 2px 2px 0 rgba(0, 0, 0, 0.24);

// Dimensions
$borderRadius: 4px;
$borderRadiusMedium: 8px;
$borderRadiusLarge: 13px;
$borderRadiusXLarge: 20px;

// Font sizes
$baseFontSize: 16px;
$fontSizeXSmall: 0.75rem;
$fontSizeSmall: 0.875rem;
$fontSizeMedium: 1rem;
$fontSizeLarge: 1.25rem;
$fontSizeXLarge: 1.5rem;
$fontSizeXXLarge: 2rem;
$fontSizeXXXLarge: 2.5rem;

$fontWeightRegular: 400;
$fontWeightSemiBold: 600;
$fontWeightBold: 700;

// Line heights
$lineHeightTextSmall: 1;
$lineHeightText: 1.5;
$lineHeightHeading: 1.3;

// Spacing
$spacing01: 0.1rem !default;
$spacing02: 0.25rem !default;
$spacing03: 0.5rem !default;
$spacing04: 0.75rem !default;
$spacing05: 1rem !default;
$spacing06: 1.5rem !default;
$spacing07: 2rem !default;
$spacing08: 2.5rem !default;
$spacing09: 3rem !default;
$spacing10: 4rem !default;
$spacing11: 5rem !default;

// Widths
$widthLarge: 40rem;

// Heights
$mobileNavHeight: 4.5rem;

// Breakpoints
$xs: 0px; // mobile
$sm: 576px; // mobile landscape
$md: 768px; // tablets
$lg: 992px; // Wide
$xl: 1050px; // Desktop

@import url("https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@400;600;700&display=swap");

:root {
    --heading-font-family: "Source Sans Pro", sans-serif;
    --font-family: "Source Sans Pro", sans-serif;

    // First layer colors
    --brand-color: #1042dd;
    --brand-color-secondary: #31b9ff;
    --primary-medium: #2648ad;

    // Second layer colors
    --d-sidebar-link-color: $colorPaletteGray700;
}

html {
    font-size: 16px;
}

body {
    color: $text-color;
}

* {
    box-sizing: border-box;
}

.alert.alert-info {
    background-color: $alert-background-color;
    color: $text-color;
    border-left: 4px solid $tertiary;
}

/* Header */

header.d-header {
    background-color: $colorBackground;
    box-shadow: var(--shadow-header) !important;

    #site-text-logo {
        font-size: 1rem !important;
    }

    .don-branding-title {
        font-weight: bold;
        font-size: 1.25rem;
        line-height: 1.1;
    }

    .topic-link {
        font-size: $fontSizeMedium;
    }
}

.header-sidebar-toggle button .d-icon {
    color: #99b0f7;
}

@mixin active-navigation-item() {
    border-bottom: 4px solid #1042dd;

    a {
        margin-top: 4px;
        vertical-align: middle;
        text-align: center;
        cursor: pointer;
        color: #1042dd !important;
        align-items: center;
        font-weight: $fontWeightSemiBold;
        text-decoration: none;
        display: inline-flex;
        position: relative;

        .icon {
            width: 20px;
            height: 20px;
            stroke-width: 2.5px;
            margin-left: 0.5rem;
        }
    }
}

// .header component
.header {
    background-color: white;
    border-bottom: 1px solid $colorPaletteGray300;
    height: 73px;
    margin-left: auto;
    margin-right: auto;

    >.wrap {
        height: 100%;
        width: var(--d-max-width);
    }

    &__container {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        height: 100%;

        @media only screen and (min-width: $lg) {
            padding-top: 0;
            padding-bottom: 0;
        }

        &__logo {
            color: $colorBrand !important;
            font-weight: $fontWeightBold;
            font-size: $fontSizeXLarge;
            text-decoration: none;
            display: flex;
            justify-content: center;

            svg {
                width: 28px;
            }

            @media only screen and (min-width: $sm) {
                padding: 0;
                font-size: $fontSizeLarge;
            }
        }

        &__links {
            display: flex;

            &__internal {
                display: none;
                margin: 0;
                padding: 0;

                @media only screen and (min-width: $sm) {
                    display: flex;
                    flex-direction: row;
                }

                li {
                    display: flex;
                    align-items: center;
                    height: 73px;
                }

                &__link {
                    color: $colorBrandLink !important;
                    padding-left: 1rem;
                    padding-right: 1rem;
                    font-size: 1.125rem;
                    text-decoration: none;
                    display: flex;
                    height: 100%;
                    align-items: center;

                    &:hover {
                        color: $colorBrand;
                        text-decoration: underline;
                    }

                    &.active {
                        background: unset !important;
                        border-bottom: 4px solid $colorBrand;
                        color: $colorBrand;
                        padding-bottom: calc(1rem - 4px);
                    }
                }

                .community-item {
                    @include active-navigation-item();
                }
            }
        }
    }
}


/* timeline scroller color */

.timeline-container .topic-timeline .timeline-handle {
    background-color: $top-bar-background-color;
}

.timeline-container .topic-timeline .timeline-scrollarea {
    border-color: $top-bar-background-color;
}

/* some extra space to the right of the in-post reply button */

nav.post-controls .actions {
    padding-right: 10px;
}

/* button override */
.btn {
    font-weight: 600;
}

/* toggle password, login modal */
.toggle-password-mask {
    margin-left: 1rem;
    font-weight: bold;
}

.sidebar-wrapper .sidebar-container {
    background-color: #f0f3f9;
}

@mixin button() {
    border: 1px solid rgba(0, 0, 0, 0);
    font-size: var(--font-0);
    line-height: normal;
    box-sizing: border-box;
    padding: 0.5em 0.65em;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    margin: 0;
    font-weight: normal;
    color: var(--primary);
    background-color: var(--primary-low);
    background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0));
    border-radius: var(--d-button-border-radius);
    transition:
        background 0.25s,
        color 0.25s;
    cursor: pointer;
    font-weight: 600;

    &:hover {
        background-color: var(--primary-medium);
        color: var(--secondary);
    }
}

// Enable buttons in articles
[data-wrap="button"] a {
    @include button();
}

// Tags styling
.discourse-tags .discourse-tag {
    color: var(--primary-high);
    border: 1px solid grey;
    border-radius: 13px;
    padding: 2px 6px;
    margin-right: 2px;
    background: #f0f3f9;
    font-size: 12px;

    &::after {
        display: none;
    }
}

.extra-info-wrapper .topic-header-extra .discourse-tags .discourse-tag {
    display: inline-flex;
    background-color: white;
}

p>code {
    font-size: 0.875rem;
}

@mixin button() {
    vertical-align: middle;
    text-align: center;
    cursor: pointer;
    color: white;
    background-color: $colorBrand;
    border: 2px solid #0000;
    justify-content: center;
    align-items: center;
    min-width: 3rem;
    height: 48px;
    padding: calc(0.75rem - 2px) calc(1rem - 2px);
    font-size: 1rem;
    font-weight: 600;
    line-height: 150%;
    text-decoration: none;
    display: inline-flex;
    position: relative;
}

#community-link-list-item {
    @include active-navigation-item();
}

.docs-section-activated {
    .discourse-root .d-header-wrap.drop-down-mode {
        display: none;
    }

    #kennisbank-link-list-item {
        @include active-navigation-item();
    }

    #community-link-list-item {
        border-bottom: none;

        a {
            color: #24335a !important;
            margin-top: 0;
            font-weight: normal;
        }
    }
}

.header {
    box-shadow: 0 6px 20px -6px #0b2b9e26;
}